Subject: bug#51213: ghci missing reference to gcc

From: Jack Hill <[email-masked]>
Date: Fri, 22 Sep 2023 21:23:52 -0400 (EDT)

Hi Simon,

Thanks for caring for this old issue.

On Fri, 22 Sep 2023, Simon Tournier wrote:

> Hi,
>
> On Thu, 14 Oct 2021 at 16:00, Jack Hill <[email-masked]> wrote:
>
>> $ guix environment --ad-hoc ghc -- ghci
>> GHCi, version 8.10.7: https://www.haskell.org/ghc/  :? for help
>> ghc: could not execute: gcc
>
> This is currently expected.
>
>
>> but if gcc-toolchain is included, it can:
>
> One option is to have a package “ghc-toolchain“ which provide ghc and
> all the other required packages.  I have some patches for that
> somewhere. :-)
>
> For now, I propose to close and just add gcc-toolchain.
>
> WDYT?

Yes, I agree. I think having a ghc-toolchain would match my expectation. 
Until then, I think we can close. Let's keep working on improving the 
Haskell in Guix experience!

Best,
Jack